diff options
Diffstat (limited to 'meta')
-rw-r--r-- | meta/packages/gdb/files/ignore_whitespace_changes.patch | 46 | ||||
-rw-r--r-- | meta/packages/gdb/gdb-common.inc | 8 | ||||
-rw-r--r-- | meta/packages/gdb/gdb-cross-canadian_7.1.bb (renamed from meta/packages/gdb/gdb-cross-canadian_6.8.bb) | 2 | ||||
-rw-r--r-- | meta/packages/gdb/gdb-cross_7.1.bb (renamed from meta/packages/gdb/gdb-cross_6.8.bb) | 2 | ||||
-rw-r--r-- | meta/packages/gdb/gdb.inc | 6 | ||||
-rw-r--r-- | meta/packages/gdb/gdb/gdbserver-cflags-last.diff (renamed from meta/packages/gdb/files/gdbserver-cflags-last.diff) | 12 | ||||
-rw-r--r-- | meta/packages/gdb/gdb/kill_arm_map_symbols.patch (renamed from meta/packages/gdb/files/kill_arm_map_symbols.patch) | 0 | ||||
-rw-r--r-- | meta/packages/gdb/gdb/libiberty-cross.patch (renamed from meta/packages/gdb/files/libiberty-cross.patch) | 0 | ||||
-rw-r--r-- | meta/packages/gdb/gdb/no-werror.patch (renamed from meta/packages/gdb/files/no-werror.patch) | 62 | ||||
-rw-r--r-- | meta/packages/gdb/gdb/sim-install-6.6.patch (renamed from meta/packages/gdb/files/sim-install-6.6.patch) | 0 | ||||
-rw-r--r-- | meta/packages/gdb/gdb/sim-install.patch (renamed from meta/packages/gdb/files/sim-install.patch) | 0 | ||||
-rw-r--r-- | meta/packages/gdb/gdb/uclibc.patch (renamed from meta/packages/gdb/files/uclibc.patch) | 0 | ||||
-rw-r--r-- | meta/packages/gdb/gdb_7.1.bb (renamed from meta/packages/gdb/gdb_6.8.bb) | 2 |
13 files changed, 38 insertions, 102 deletions
diff --git a/meta/packages/gdb/files/ignore_whitespace_changes.patch b/meta/packages/gdb/files/ignore_whitespace_changes.patch deleted file mode 100644 index 80480f2800..0000000000 --- a/meta/packages/gdb/files/ignore_whitespace_changes.patch +++ /dev/null | |||
@@ -1,46 +0,0 @@ | |||
1 | gdb configure checks CFLAGS haven't changed. Sadly if CFLAGS have a double | ||
2 | space in, this gets lost somewhere and convinces gdb the flags have changed. | ||
3 | Wipe out the test for now... | ||
4 | |||
5 | RP - 23/11/2007 | ||
6 | --- | ||
7 | gdb/gdbserver/configure | 7 ------- | ||
8 | gdb/testsuite/configure | 7 ------- | ||
9 | 2 files changed, 14 deletions(-) | ||
10 | |||
11 | Index: gdb-6.6/gdb/testsuite/configure | ||
12 | =================================================================== | ||
13 | --- gdb-6.6.orig/gdb/testsuite/configure 2007-11-23 10:25:08.000000000 +0000 | ||
14 | +++ gdb-6.6/gdb/testsuite/configure 2007-11-23 10:27:36.000000000 +0000 | ||
15 | @@ -1271,13 +1271,6 @@ echo "$as_me: current value: $ac_new_v | ||
16 | esac | ||
17 | fi | ||
18 | done | ||
19 | -if $ac_cache_corrupted; then | ||
20 | - { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5 | ||
21 | -echo "$as_me: error: changes in the environment can compromise the build" >&2;} | ||
22 | - { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5 | ||
23 | -echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;} | ||
24 | - { (exit 1); exit 1; }; } | ||
25 | -fi | ||
26 | |||
27 | ac_ext=c | ||
28 | ac_cpp='$CPP $CPPFLAGS' | ||
29 | Index: gdb-6.6/gdb/gdbserver/configure | ||
30 | =================================================================== | ||
31 | --- gdb-6.6.orig/gdb/gdbserver/configure 2007-11-23 10:29:06.000000000 +0000 | ||
32 | +++ gdb-6.6/gdb/gdbserver/configure 2007-11-23 10:29:20.000000000 +0000 | ||
33 | @@ -1262,13 +1262,6 @@ echo "$as_me: current value: $ac_new_v | ||
34 | esac | ||
35 | fi | ||
36 | done | ||
37 | -if $ac_cache_corrupted; then | ||
38 | - { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5 | ||
39 | -echo "$as_me: error: changes in the environment can compromise the build" >&2;} | ||
40 | - { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5 | ||
41 | -echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;} | ||
42 | - { (exit 1); exit 1; }; } | ||
43 | -fi | ||
44 | |||
45 | ac_ext=c | ||
46 | ac_cpp='$CPP $CPPFLAGS' | ||
diff --git a/meta/packages/gdb/gdb-common.inc b/meta/packages/gdb/gdb-common.inc index ef7d43b153..fcd911ab0a 100644 --- a/meta/packages/gdb/gdb-common.inc +++ b/meta/packages/gdb/gdb-common.inc | |||
@@ -3,12 +3,12 @@ HOMEPAGE = "http://www.gnu.org/software/gdb/" | |||
3 | LICENSE="GPLv3+" | 3 | LICENSE="GPLv3+" |
4 | SECTION = "devel" | 4 | SECTION = "devel" |
5 | PRIORITY = "optional" | 5 | PRIORITY = "optional" |
6 | DEPENDS = "ncurses readline" | 6 | DEPENDS = "ncurses readline elfutils" |
7 | 7 | ||
8 | inherit autotools | 8 | inherit autotools |
9 | 9 | ||
10 | SRC_URI = "${GNU_MIRROR}/gdb/gdb-${PV}.tar.gz \ | 10 | SRC_URI = "${GNU_MIRROR}/gdb/gdb-${PV}.tar.gz \ |
11 | file://no-werror.patch;patch=1" | 11 | file://no-werror.patch" |
12 | 12 | ||
13 | export CC_FOR_BUILD = "${BUILD_CC}" | 13 | export CC_FOR_BUILD = "${BUILD_CC}" |
14 | export CXX_FOR_BUILD = "${BUILD_CXX}" | 14 | export CXX_FOR_BUILD = "${BUILD_CXX}" |
@@ -23,14 +23,14 @@ EXTRA_OEMAKE = "'SUBDIRS=intl mmalloc libiberty opcodes bfd sim gdb etc utils'" | |||
23 | 23 | ||
24 | EXTRA_OECONF = "--disable-gdbtk --disable-tui --disable-x \ | 24 | EXTRA_OECONF = "--disable-gdbtk --disable-tui --disable-x \ |
25 | --with-curses --disable-multilib --with-readline --disable-sim \ | 25 | --with-curses --disable-multilib --with-readline --disable-sim \ |
26 | ${GDBPROPREFIX}" | 26 | ${GDBPROPREFIX} --with-libelf=${STAGING_DIR_TARGET}" |
27 | GDBPROPREFIX = "--program-prefix=''" | 27 | GDBPROPREFIX = "--program-prefix=''" |
28 | 28 | ||
29 | do_configure () { | 29 | do_configure () { |
30 | # override this function to avoid the autoconf/automake/aclocal/autoheader | 30 | # override this function to avoid the autoconf/automake/aclocal/autoheader |
31 | # calls for now | 31 | # calls for now |
32 | (cd ${S} && gnu-configize) || die "failure in running gnu-configize" | 32 | (cd ${S} && gnu-configize) || die "failure in running gnu-configize" |
33 | oe_runconf | 33 | oe_runconf |
34 | } | 34 | } |
35 | 35 | ||
36 | RRECOMMENDS_gdb_append_linux = " glibc-thread-db " | 36 | RRECOMMENDS_gdb_append_linux = " glibc-thread-db " |
diff --git a/meta/packages/gdb/gdb-cross-canadian_6.8.bb b/meta/packages/gdb/gdb-cross-canadian_7.1.bb index eab1dde1cb..7a677540e2 100644 --- a/meta/packages/gdb/gdb-cross-canadian_6.8.bb +++ b/meta/packages/gdb/gdb-cross-canadian_7.1.bb | |||
@@ -4,6 +4,6 @@ DEPENDS = "ncurses-nativesdk expat-nativesdk gettext-nativesdk" | |||
4 | 4 | ||
5 | inherit cross-canadian | 5 | inherit cross-canadian |
6 | 6 | ||
7 | PR = "r10" | 7 | PR = "r0" |
8 | 8 | ||
9 | GDBPROPREFIX = "--program-prefix='${TARGET_PREFIX}'" | 9 | GDBPROPREFIX = "--program-prefix='${TARGET_PREFIX}'" |
diff --git a/meta/packages/gdb/gdb-cross_6.8.bb b/meta/packages/gdb/gdb-cross_7.1.bb index 19c2da23f8..b0d0ab87c2 100644 --- a/meta/packages/gdb/gdb-cross_6.8.bb +++ b/meta/packages/gdb/gdb-cross_7.1.bb | |||
@@ -2,4 +2,4 @@ require gdb-cross.inc | |||
2 | 2 | ||
3 | SRC_URI += "file://sim-install-6.6.patch;patch=1" | 3 | SRC_URI += "file://sim-install-6.6.patch;patch=1" |
4 | 4 | ||
5 | PR = "r3" | 5 | PR = "r0" |
diff --git a/meta/packages/gdb/gdb.inc b/meta/packages/gdb/gdb.inc index fbfb9ad561..0ddd90b191 100644 --- a/meta/packages/gdb/gdb.inc +++ b/meta/packages/gdb/gdb.inc | |||
@@ -2,10 +2,8 @@ require gdb-common.inc | |||
2 | 2 | ||
3 | inherit gettext | 3 | inherit gettext |
4 | 4 | ||
5 | SRC_URI += "file://kill_arm_map_symbols.patch;patch=1 \ | 5 | SRC_URI += "file://kill_arm_map_symbols.patch \ |
6 | file://gdbserver-cflags-last.diff;patch=1;pnum=0 \ | 6 | file://gdbserver-cflags-last.diff;striplevel=0 " |
7 | file://ignore_whitespace_changes.patch;patch=1 " | ||
8 | |||
9 | #LDFLAGS_append = " -s" | 7 | #LDFLAGS_append = " -s" |
10 | #export CFLAGS_append=" -L${STAGING_LIBDIR}" | 8 | #export CFLAGS_append=" -L${STAGING_LIBDIR}" |
11 | 9 | ||
diff --git a/meta/packages/gdb/files/gdbserver-cflags-last.diff b/meta/packages/gdb/gdb/gdbserver-cflags-last.diff index 42bd740a7c..41395f936e 100644 --- a/meta/packages/gdb/files/gdbserver-cflags-last.diff +++ b/meta/packages/gdb/gdb/gdbserver-cflags-last.diff | |||
@@ -1,13 +1,15 @@ | |||
1 | --- gdb/gdbserver/Makefile.in.orig 2004-10-05 18:52:56.298419032 +0200 | 1 | Index: gdb/gdbserver/Makefile.in |
2 | +++ gdb/gdbserver/Makefile.in 2004-10-05 18:53:10.442268840 +0200 | 2 | =================================================================== |
3 | @@ -97,8 +97,8 @@ | 3 | --- gdb/gdbserver/Makefile.in.orig |
4 | +++ gdb/gdbserver/Makefile.in | ||
5 | @@ -89,8 +89,8 @@ WARN_CFLAGS = -Wall | ||
4 | CFLAGS = @CFLAGS@ | 6 | CFLAGS = @CFLAGS@ |
5 | 7 | ||
6 | # INTERNAL_CFLAGS is the aggregate of all other *CFLAGS macros. | 8 | # INTERNAL_CFLAGS is the aggregate of all other *CFLAGS macros. |
7 | -INTERNAL_CFLAGS = $(WARN_CFLAGS) ${CFLAGS} ${GLOBAL_CFLAGS} \ | 9 | -INTERNAL_CFLAGS = $(WARN_CFLAGS) ${CFLAGS} ${GLOBAL_CFLAGS} \ |
8 | - ${PROFILE_CFLAGS} ${INCLUDE_CFLAGS} ${BFD_CFLAGS} | 10 | - ${PROFILE_CFLAGS} ${INCLUDE_CFLAGS} |
9 | +INTERNAL_CFLAGS = $(WARN_CFLAGS) ${GLOBAL_CFLAGS} \ | 11 | +INTERNAL_CFLAGS = $(WARN_CFLAGS) ${GLOBAL_CFLAGS} \ |
10 | + ${PROFILE_CFLAGS} ${INCLUDE_CFLAGS} ${BFD_CFLAGS} ${CFLAGS} | 12 | + ${PROFILE_CFLAGS} ${INCLUDE_CFLAGS} ${CFLAGS} |
11 | 13 | ||
12 | # LDFLAGS is specifically reserved for setting from the command line | 14 | # LDFLAGS is specifically reserved for setting from the command line |
13 | # when running make. | 15 | # when running make. |
diff --git a/meta/packages/gdb/files/kill_arm_map_symbols.patch b/meta/packages/gdb/gdb/kill_arm_map_symbols.patch index 177142192d..177142192d 100644 --- a/meta/packages/gdb/files/kill_arm_map_symbols.patch +++ b/meta/packages/gdb/gdb/kill_arm_map_symbols.patch | |||
diff --git a/meta/packages/gdb/files/libiberty-cross.patch b/meta/packages/gdb/gdb/libiberty-cross.patch index 0d1897f9e0..0d1897f9e0 100644 --- a/meta/packages/gdb/files/libiberty-cross.patch +++ b/meta/packages/gdb/gdb/libiberty-cross.patch | |||
diff --git a/meta/packages/gdb/files/no-werror.patch b/meta/packages/gdb/gdb/no-werror.patch index 0a9faa2d1d..0926073721 100644 --- a/meta/packages/gdb/files/no-werror.patch +++ b/meta/packages/gdb/gdb/no-werror.patch | |||
@@ -5,11 +5,11 @@ | |||
5 | gdb/configure.ac | 8 ++------ | 5 | gdb/configure.ac | 8 ++------ |
6 | 4 files changed, 6 insertions(+), 10 deletions(-) | 6 | 4 files changed, 6 insertions(+), 10 deletions(-) |
7 | 7 | ||
8 | --- gdb-6.8.orig/bfd/warning.m4 | 8 | Index: gdb-7.1/bfd/warning.m4 |
9 | +++ gdb-6.8/bfd/warning.m4 | 9 | =================================================================== |
10 | @@ -21,11 +21,11 @@ case "${host}" in | 10 | --- gdb-7.1.orig/bfd/warning.m4 |
11 | *) ;; | 11 | +++ gdb-7.1/bfd/warning.m4 |
12 | esac | 12 | @@ -23,7 +23,7 @@ esac |
13 | 13 | ||
14 | # Enable -Werror by default when using gcc | 14 | # Enable -Werror by default when using gcc |
15 | if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then | 15 | if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then |
@@ -18,13 +18,11 @@ | |||
18 | fi | 18 | fi |
19 | 19 | ||
20 | NO_WERROR= | 20 | NO_WERROR= |
21 | if test "${ERROR_ON_WARNING}" = yes ; then | 21 | Index: gdb-7.1/configure.ac |
22 | GCC_WARN_CFLAGS="$GCC_WARN_CFLAGS -Werror" | 22 | =================================================================== |
23 | --- gdb-6.8.orig/configure.ac | 23 | --- gdb-7.1.orig/configure.ac |
24 | +++ gdb-6.8/configure.ac | 24 | +++ gdb-7.1/configure.ac |
25 | @@ -2739,11 +2739,11 @@ AC_SUBST(stage1_checking) | 25 | @@ -3371,7 +3371,7 @@ AC_SUBST(stage1_checking) |
26 | |||
27 | # Enable -Werror in bootstrap stage2 and later. | ||
28 | AC_ARG_ENABLE(werror, | 26 | AC_ARG_ENABLE(werror, |
29 | [ --enable-werror enable -Werror in bootstrap stage2 and later], [], | 27 | [ --enable-werror enable -Werror in bootstrap stage2 and later], [], |
30 | [if test -d ${srcdir}/gcc && test x"`cat $srcdir/gcc/DEV-PHASE`" = xexperimental; then | 28 | [if test -d ${srcdir}/gcc && test x"`cat $srcdir/gcc/DEV-PHASE`" = xexperimental; then |
@@ -33,13 +31,11 @@ | |||
33 | else | 31 | else |
34 | enable_werror=no | 32 | enable_werror=no |
35 | fi]) | 33 | fi]) |
36 | case ${enable_werror} in | 34 | Index: gdb-7.1/gdb/Makefile.in |
37 | yes) stage2_werror_flag="--enable-werror-always" ;; | 35 | =================================================================== |
38 | --- gdb-6.8.orig/gdb/Makefile.in | 36 | --- gdb-7.1.orig/gdb/Makefile.in |
39 | +++ gdb-6.8/gdb/Makefile.in | 37 | +++ gdb-7.1/gdb/Makefile.in |
40 | @@ -140,13 +140,13 @@ READLINE_CFLAGS = @READLINE_CFLAGS@ | 38 | @@ -151,9 +151,9 @@ READLINE_CFLAGS = @READLINE_CFLAGS@ |
41 | |||
42 | # Where is expat? This will be empty if expat was not available. | ||
43 | LIBEXPAT = @LIBEXPAT@ | 39 | LIBEXPAT = @LIBEXPAT@ |
44 | 40 | ||
45 | WARN_CFLAGS = @WARN_CFLAGS@ | 41 | WARN_CFLAGS = @WARN_CFLAGS@ |
@@ -51,15 +47,13 @@ | |||
51 | 47 | ||
52 | GDB_WARN_CFLAGS_NO_FORMAT = `echo " $(GDB_WARN_CFLAGS) " | sed "s/ -Wformat-nonliteral / /g"` | 48 | GDB_WARN_CFLAGS_NO_FORMAT = `echo " $(GDB_WARN_CFLAGS) " | sed "s/ -Wformat-nonliteral / /g"` |
53 | 49 | ||
54 | # Where is the INTL library? Typically in ../intl. | 50 | Index: gdb-7.1/gdb/configure.ac |
55 | INTL = @LIBINTL@ | 51 | =================================================================== |
56 | --- gdb-6.8.orig/gdb/configure.ac | 52 | --- gdb-7.1.orig/gdb/configure.ac |
57 | +++ gdb-6.8/gdb/configure.ac | 53 | +++ gdb-7.1/gdb/configure.ac |
58 | @@ -1292,24 +1292,21 @@ AC_SUBST(TARGET_SYSTEM_ROOT) | 54 | @@ -1525,15 +1525,12 @@ GDB_AC_WITH_DIR(SYSTEM_GDBINIT, system-g |
59 | AC_SUBST(TARGET_SYSTEM_ROOT_DEFINE) | ||
60 | |||
61 | AC_ARG_ENABLE(werror, | 55 | AC_ARG_ENABLE(werror, |
62 | [ --enable-werror treat compile warnings as errors], | 56 | AS_HELP_STRING([--enable-werror], [treat compile warnings as errors]), |
63 | [case "${enableval}" in | 57 | [case "${enableval}" in |
64 | - yes | y) ERROR_ON_WARNING="yes" ;; | 58 | - yes | y) ERROR_ON_WARNING="yes" ;; |
65 | + yes | y) ERROR_ON_WARNING="no" ;; | 59 | + yes | y) ERROR_ON_WARNING="no" ;; |
@@ -67,12 +61,6 @@ | |||
67 | *) AC_MSG_ERROR(bad value ${enableval} for --enable-werror) ;; | 61 | *) AC_MSG_ERROR(bad value ${enableval} for --enable-werror) ;; |
68 | esac]) | 62 | esac]) |
69 | 63 | ||
70 | # Enable -Werror by default when using gcc | ||
71 | if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then | ||
72 | - ERROR_ON_WARNING=yes | ||
73 | + ERROR_ON_WARNING=no | ||
74 | fi | ||
75 | |||
76 | WERROR_CFLAGS="" | 64 | WERROR_CFLAGS="" |
77 | -if test "${ERROR_ON_WARNING}" = yes ; then | 65 | -if test "${ERROR_ON_WARNING}" = yes ; then |
78 | - WERROR_CFLAGS="-Werror" | 66 | - WERROR_CFLAGS="-Werror" |
@@ -80,11 +68,7 @@ | |||
80 | 68 | ||
81 | # The entries after -Wno-pointer-sign are disabled warnings which may | 69 | # The entries after -Wno-pointer-sign are disabled warnings which may |
82 | # be enabled in the future, which can not currently be used to build | 70 | # be enabled in the future, which can not currently be used to build |
83 | # GDB. | 71 | @@ -1587,7 +1584,6 @@ then |
84 | # NOTE: If you change this list, remember to update | ||
85 | @@ -1352,11 +1349,10 @@ then | ||
86 | AC_MSG_CHECKING(compiler warning flags) | ||
87 | # Separate out the -Werror flag as some files just cannot be | ||
88 | # compiled with it enabled. | 72 | # compiled with it enabled. |
89 | for w in ${build_warnings}; do | 73 | for w in ${build_warnings}; do |
90 | case $w in | 74 | case $w in |
@@ -92,5 +76,3 @@ | |||
92 | *) # Check that GCC accepts it | 76 | *) # Check that GCC accepts it |
93 | saved_CFLAGS="$CFLAGS" | 77 | saved_CFLAGS="$CFLAGS" |
94 | CFLAGS="$CFLAGS $w" | 78 | CFLAGS="$CFLAGS $w" |
95 | AC_TRY_COMPILE([],[],WARN_CFLAGS="${WARN_CFLAGS} $w",) | ||
96 | CFLAGS="$saved_CFLAGS" | ||
diff --git a/meta/packages/gdb/files/sim-install-6.6.patch b/meta/packages/gdb/gdb/sim-install-6.6.patch index a39ceab01f..a39ceab01f 100644 --- a/meta/packages/gdb/files/sim-install-6.6.patch +++ b/meta/packages/gdb/gdb/sim-install-6.6.patch | |||
diff --git a/meta/packages/gdb/files/sim-install.patch b/meta/packages/gdb/gdb/sim-install.patch index 3c88c4c059..3c88c4c059 100644 --- a/meta/packages/gdb/files/sim-install.patch +++ b/meta/packages/gdb/gdb/sim-install.patch | |||
diff --git a/meta/packages/gdb/files/uclibc.patch b/meta/packages/gdb/gdb/uclibc.patch index 3d6b7ba187..3d6b7ba187 100644 --- a/meta/packages/gdb/files/uclibc.patch +++ b/meta/packages/gdb/gdb/uclibc.patch | |||
diff --git a/meta/packages/gdb/gdb_6.8.bb b/meta/packages/gdb/gdb_7.1.bb index 6495d6cdca..ec413a1397 100644 --- a/meta/packages/gdb/gdb_6.8.bb +++ b/meta/packages/gdb/gdb_7.1.bb | |||
@@ -1,3 +1,3 @@ | |||
1 | require gdb.inc | 1 | require gdb.inc |
2 | 2 | ||
3 | PR = "r7" | 3 | PR = "r0" |